<section class="h-100" style="background-color: #4454C1;">

  <div class="container h-100">
    <div class="row justify-content-sm-center h-100">
      <div class="col-4">
        <div class="card shadow-lg my-4">
          <div class="card-body p-5 text-center">
            <h1 class="fs-4 card-title fw-bold mb-4">Регистрация</h1>
            <form [formGroup]="regForm" novalidate>

              <!-- name -->
              <div class="mb-3 form-outline text-start">
                <label class="form-label mb-0" for="inputName">Имя</label>
                <input type="text" formControlName="name" class="form-control"
                       id="inputName" placeholder="Имя">
                <div
                  *ngIf="regForm.controls['name'].invalid && (regForm.controls['name'].dirty || regForm.controls['name'].touched)"
                  class="alert alert-danger">
                  <div *ngIf="regForm.controls['name'].errors?.['name']">
                    Необходимо ввести имя.
                  </div>
                </div>
              </div>
              <!-- family -->
              <div class="mb-3 form-outline text-start">
                <label class="form-label mb-0" for="inputFamily">Фамилия</label>
                <input type="text" formControlName="family" class="form-control"
                       id="inputFamily" placeholder="Фамилия">
                <div
                  *ngIf="regForm.controls['family'].invalid && (regForm.controls['family'].dirty || regForm.controls['family'].touched)"
                  class="alert alert-danger">
                  <div *ngIf="regForm.controls['family'].errors?.['family']">
                    Необходимо ввести фамилию.
                  </div>
                </div>
              </div>
              <!-- nikName -->
              <div class="mb-3 form-outline text-start">
                <label class="form-label mb-0" for="inputNikName">Ник</label>
                <input type="text" formControlName="nikName" class="form-control"
                       id="inputNikName" placeholder="Ник">
                <div
                  *ngIf="regForm.controls['nikName'].invalid && (regForm.controls['nikName'].dirty || regForm.controls['nikName'].touched)"
                  class="alert alert-danger">
                  <div *ngIf="regForm.controls['nikName'].errors?.['nikName']">
                    Необходимо ввести Ник.
                  </div>
                </div>
              </div>

              <!-- city -->
              <div class="mb-3 form-outline text-start">
                <label class="form-label mb-0" for="inputCity">Город</label>
                <input type="text" formControlName="city" class="form-control"
                       id="inputCity" placeholder="Город">
                <div
                  *ngIf="regForm.controls['city'].invalid && (regForm.controls['city'].dirty || regForm.controls['city'].touched)"
                  class="alert alert-danger">
                  <div *ngIf="regForm.controls['city'].errors?.['city']">
                    Необходимо ввести город.
                  </div>
                </div>
              </div>
              <!-- organization -->
              <div class="mb-3 form-outline text-start">
                <label class="form-label mb-0" for="inputOrganization">Организация</label>
                <input type="text" formControlName="organization" class="form-control"
                       id="inputOrganization" placeholder="Организация">
                <div
                  *ngIf="regForm.controls['organization'].invalid && (regForm.controls['organization'].dirty || regForm.controls['organization'].touched)"
                  class="alert alert-danger">
                  <div *ngIf="regForm.controls['organization'].errors?.['organization']">
                    Необходимо ввести организацию.
                  </div>
                </div>
              </div>
              <!-- email -->
              <div class="mb-3 form-outline text-start">
                <label class="form-label mb-0" for="inputEmail">email</label>
                <input type="text" formControlName="email" class="form-control"
                       id="inputEmail" placeholder="email">
                <div
                  *ngIf="regForm.controls['email'].invalid && (regForm.controls['email'].dirty || regForm.controls['email'].touched)"
                  class="alert alert-danger">
                  <div *ngIf="regForm.controls['email'].errors?.['email']">
                    Необходимо ввести email.
                  </div>
                </div>
              </div>
              <!-- password -->
              <div class="mb-3 form-outline text-start">
                <label class="form-label mb-0" for="inputPassword">Пароль</label>
                <input type="password" formControlName="password" class="form-control"
                       id="inputPassword" placeholder="Пароль">
                <div
                  *ngIf="regForm.controls['password'].invalid && (regForm.controls['password'].dirty || regForm.controls['password'].touched)"
                  class="alert alert-danger">
                  <div *ngIf="regForm.controls['password'].errors?.['password']">
                    Необходимо ввести пароль минимум 5 символов.
                  </div>
                </div>
              </div>

              <button type="button" [disabled]="regForm.pristine || regForm.invalid"
                      class="btn btn-success d-grid col mx-auto mb-3 regSubmit"
                      (click)="this.readAndValidationData()">
                Зарегистрироваться
              </button>



            </form>
          </div>
        </div>


      </div>
    </div>
  </div>
</section>

<!--<div class="registerField">-->

<!--  <div class="d-grid col-9 mx-auto">-->

<!--    <div class="pb-3 pt-4 fs-3 centerText">-->
<!--      <h3>Регистрация</h3>-->
<!--    </div>-->

<!--    <form [formGroup]="regForm" novalidate>-->
<!--      <div class="btn-group authRole mb-3" role="group">-->
<!--        <input type="radio" class="btn-check" id="btnradio1" autocomplete="off" checked-->
<!--               [value]="false" formControlName="isMarketplace">-->
<!--        <label class="btn btn-outline-success" for="btnradio1">Покупатель</label>-->

<!--        <input type="radio" class="btn-check" id="btnradio2" autocomplete="off"-->
<!--               [value]="true" formControlName="isMarketplace">-->
<!--        <label class="btn btn-outline-success ms-2" for="btnradio2">Продавец</label>-->
<!--      </div>-->
<!--      <div-->
<!--        *ngIf="regForm.controls['isMarketplace'].invalid && (regForm.controls['isMarketplace'].dirty || regForm.controls['isMarketplace'].touched)"-->
<!--        class="alert alert-danger mb-3 mt-1">-->
<!--        <div *ngIf="regForm.controls['isMarketplace'].errors?.['required']">-->
<!--          Необходимо выбрать вашу роль.-->
<!--        </div>-->
<!--      </div>-->

<!--      <div class="mb-3">-->
<!--        <input type="text" formControlName="firstName" class="form-control" placeholder="Имя">-->
<!--        <div-->
<!--          *ngIf="regForm.controls['firstName'].invalid && (regForm.controls['firstName'].dirty || regForm.controls['firstName'].touched)"-->
<!--          class="alert alert-danger">-->
<!--          <div *ngIf="regForm.controls['firstName'].errors?.['required']">-->
<!--            Необходимо ввести имя.-->
<!--          </div>-->
<!--        </div>-->
<!--      </div>-->

<!--      <div class="mb-3">-->
<!--        <input type="text" formControlName="lastName" class="form-control" placeholder="Фамилия">-->
<!--        <div-->
<!--          *ngIf="regForm.controls['lastName'].invalid && (regForm.controls['lastName'].dirty || regForm.controls['lastName'].touched)"-->
<!--          class="alert alert-danger">-->
<!--          <div *ngIf="regForm.controls['lastName'].errors?.['required']">-->
<!--            Необходимо ввести фамилию.-->
<!--          </div>-->
<!--        </div>-->
<!--      </div>-->

<!--      <div class="mb-3">-->
<!--        <input type="text" formControlName="nameMarketPlace" class="form-control"-->
<!--               placeholder="Название вашей организации">-->
<!--        <div-->
<!--          *ngIf="regForm.controls['nameMarketPlace'].invalid && (regForm.controls['nameMarketPlace'].dirty || regForm.controls['nameMarketPlace'].touched)"-->
<!--          class="alert alert-danger">-->
<!--          <div *ngIf="regForm.controls['nameMarketPlace'].errors?.['required']">-->
<!--            Необходимо ввести название вашей организации.-->
<!--          </div>-->
<!--        </div>-->
<!--      </div>-->

<!--      <div class="row g-2 mb-3">-->
<!--        <div class="col-sm">-->
<!--          <input type="text" formControlName="taxIdentificationNumber" class="form-control " placeholder="ИНН">-->
<!--          <div-->
<!--            *ngIf="regForm.controls['taxIdentificationNumber'].invalid && (regForm.controls['taxIdentificationNumber'].dirty || regForm.controls['taxIdentificationNumber'].touched)"-->
<!--            class="alert alert-danger">-->
<!--            <div *ngIf="regForm.controls['taxIdentificationNumber'].errors?.['required']">-->
<!--              Необходимо ввести ИНН.-->
<!--            </div>-->
<!--            <div *ngIf="regForm.controls['taxIdentificationNumber'].errors?.['required']">-->
<!--              Неправильный формат ввода.-->
<!--            </div>-->
<!--          </div>-->
<!--        </div>-->

<!--        <div class="col-sm">-->
<!--          <input type="text" formControlName="codeReason" class="form-control" placeholder="КПП">-->
<!--          <div-->
<!--            *ngIf="regForm.controls['codeReason'].invalid && (regForm.controls['codeReason'].dirty || regForm.controls['codeReason'].touched)"-->
<!--            class="alert alert-danger">-->
<!--            <div *ngIf="regForm.controls['codeReason'].errors?.['required']">-->
<!--              Необходимо ввести КПП.-->
<!--            </div>-->
<!--            <div *ngIf="regForm.controls['codeReason'].errors?.['required']">-->
<!--              Неправильный формат ввода.-->
<!--            </div>-->
<!--          </div>-->
<!--        </div>-->
<!--      </div>-->

<!--      <div class="mb-3">-->
<!--      <textarea class="form-control" rows="4"-->
<!--                placeholder="Юридический адрес" formControlName="address"></textarea>-->
<!--        <div-->
<!--          *ngIf="regForm.controls['address'].invalid && (regForm.controls['address'].dirty || regForm.controls['address'].touched)"-->
<!--          class="alert alert-danger">-->
<!--          <div *ngIf="regForm.controls['address'].errors?.['required']">-->
<!--            Необходимо ввести адресс вашей организации.-->
<!--          </div>-->
<!--        </div>-->
<!--      </div>-->

<!--      <div class="mb-3">-->
<!--        <input type="tel" formControlName="msisdn" class="form-control" placeholder="Телефон">-->
<!--        <div-->
<!--          *ngIf="regForm.controls['msisdn'].invalid && (regForm.controls['msisdn'].dirty || regForm.controls['msisdn'].touched)"-->
<!--          class="alert alert-danger">-->
<!--          <div *ngIf="regForm.controls['msisdn'].errors?.['required']">-->
<!--            Необходимо ввести телефон.-->
<!--          </div>-->
<!--          <div *ngIf="regForm.controls['msisdn'].errors?.['pattern']">-->
<!--            Неправильный формат ввода.-->
<!--          </div>-->
<!--        </div>-->
<!--      </div>-->

<!--      <div class="mb-3">-->
<!--        <input type="email" formControlName="email" class="form-control" placeholder="Адрес электронной почты">-->
<!--        <div-->
<!--          *ngIf="regForm.controls['email'].invalid && (regForm.controls['email'].dirty || regForm.controls['email'].touched)"-->
<!--          class="alert alert-danger">-->
<!--          <div *ngIf="regForm.controls['email'].errors?.['required']">-->
<!--            Необходимо ввести адресс электронной почты.-->
<!--          </div>-->
<!--          <div *ngIf="regForm.controls['email'].errors?.['email']">-->
<!--            Неправильный формат почты.-->
<!--          </div>-->
<!--        </div>-->
<!--      </div>-->

<!--      <div class="mb-4">-->
<!--        <input type="password" formControlName="password" class="form-control" placeholder="Придумайте пароль">-->
<!--        <div-->
<!--          *ngIf="regForm.controls['password'].invalid && (regForm.controls['password'].dirty || regForm.controls['password'].touched)"-->
<!--          class="alert alert-danger">-->
<!--          <div *ngIf="regForm.controls['password'].errors?.['required']">-->
<!--            Необходимо ввести пароль.-->
<!--          </div>-->
<!--          <div *ngIf="regForm.controls['password'].errors?.['minlength']">-->
<!--            Пароль должен быть минимум 5 символов.-->
<!--          </div>-->
<!--        </div>-->
<!--      </div>-->

<!--      <button type="button" [disabled]="regForm.pristine || regForm.invalid"-->
<!--              class="btn btn-success d-grid col mx-auto mb-3 regSubmit"-->
<!--              (click)="this.register()">-->
<!--        Зарегистрироваться-->
<!--      </button>-->
<!--    </form>-->

<!--    <div class="centerText botText pb-4">У вас уже есть аккаунт?-->
<!--      <span class="link" routerLink="" routerLinkActive="active-link">Войти</span>-->
<!--    </div>-->

<!--  </div>-->

<!--</div>-->



<!--modal window-->
<div class="backdrop" [ngStyle]="{'display':display}"></div>
<div class="modal" tabindex="-1" role="dialog" [ngStyle]="{'display':display}">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-body text-center">
        <h5>{{this.message}}</h5>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default btn-success btn-md" (click)="onCloseHandled()">
          Закрыть
        </button>
      </div>
    </div>
  </div>
</div>

